Gecode::Kernel::FunctionBranch::Description Class Reference

Minimal brancher description storing no information. More...

## Public Member Functions

| Description (const Brancher &b, unsigned int a)
| Initialize description for brancher b, number of alternatives a.
virtual void | archive (Archive &e) const
| Archive into e.
Public Member Functions inherited from Gecode::Choice
unsigned int | alternatives (void) const
| Return number of alternatives.
virtual | ~Choice (void)
| Destructor.

## Additional Inherited Members

Static Public Member Functions inherited from Gecode::HeapAllocated
static void * | operator new (size_t s)
| Memory management.
static void | operator delete (void *p)
| Free memory allocated from heap.
Protected Member Functions inherited from Gecode::Choice
| Choice (const Brancher &b, const unsigned int a)
| Initialize for particular brancher b and alternatives a.

## Detailed Description

Minimal brancher description storing no information.

Definition at line 44 of file function.cpp.

## Constructor & Destructor Documentation

## Description()

Gecode::Kernel::FunctionBranch::Description::Description | ( | const Brancher & | b,
|  | unsigned int | a )

inline

Initialize description for brancher b, number of alternatives a.

Definition at line 80 of file function.cpp.

## Member Function Documentation

## archive()

void Gecode::Kernel::FunctionBranch::Description::archive | ( | Archive & | e | ) | const

virtual

Archive into e.

Reimplemented from Gecode::Choice.

Definition at line 83 of file function.cpp.

The documentation for this class was generated from the following file:

- gecode/kernel/branch/function.cpp